stages:
  - lint

pre-commit-check:
  stage: lint
  image: python:3.10
  before_script:
    - python -m venv venv
    - . venv/bin/activate
    - python -m pip install --upgrade pip setuptools
    - python -m pip install pre-commit
  script:
    - pre-commit run --all-files
